Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.cmbrowser.controls
Interface CmBrowserFoldersControl

All Superinterfaces
  ContentControlBase<CmBrowserFolder,CmBrowserFolder>, FoldersControlBase<CmBrowserFolder,CmBrowserFolder>, Serializable

All Known Implementing Classes:
  CmBrowserFoldersControlImpl

    public interface CmBrowserFoldersControl

extends FoldersControlBase<CmBrowserFolder,CmBrowserFolder>

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`ISortableFilterablePagedList<Node>` | `getChildrenViaNode(Node fakeNode)`
`Node` | `getFakeNode(String key)`
`CmBrowserFolder` | `getFolder(String name, String searchExpression, Node searchFromNode)` Look for it before creating.
`CmBrowserFolder` | `getFolder(String name, String searchExpression, Node searchFromNode, CommunityContent.Visibility visibility, String owner)` Look for it before creating.

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### getFolder

    CmBrowserFolder getFolder(String name,
                              String searchExpression,
                              Node searchFromNode,
                              CommunityContent.Visibility visibility,
                              String owner)
                              throws AuthorizationException,
                                     NoSuchNodeException,
                                     RepositoryException

  Look for it before creating. Specify visibility and owner. This will create the folder if it doesn't exist.

  Throws
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getFolder

    CmBrowserFolder getFolder(String name,
                              String searchExpression,
                              Node searchFromNode)
                              throws AuthorizationException,
                                     NoSuchNodeException,
                                     RepositoryException

  Look for it before creating. Take default visibility "Community" and owner "GroupSpace" . This will create the folder if it doesn't exist.

  Throws
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getChildrenViaNode

    ISortableFilterablePagedList<Node> getChildrenViaNode(Node fakeNode)
                                                          throws AuthorizationException

  Throws
    `AuthorizationException`

### getFakeNode

    Node getFakeNode(String key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved